import request from '@/utils/request'
import md5 from 'js-md5'

// 登录
export function login(params) {
    return request.post(`user/login`, {
        account: params.account,
        pwd: md5(params.pwd),
    })
}

// 获取用户信息
export function userInfo() {
    return request.get('user/baseInfo')
}

// 获取用户权限菜单
export function userMenus(params) {
    return request.get(`user/privilegesTree`, { params: params })
}

// 修改密码
export function modifyPass(params) {
    return request.put(`/user/password`, {
        lastPassword: md5(params.lastPassword),
        newPassword: md5(params.newPassword),
    })
}

export function simpleAll() {
    return request.get(`user/simpleAll`)
}