import './assets/main.css'

import { createApp } from 'vue'
import App from './App.vue'
import router from './router'

import { createPinia } from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'

import Vant from 'vant';
import 'vant/lib/index.css'

import BackBar from './components/BackBar/index.vue';

const pinia = createPinia()
// pinia数据持久化
pinia.use(piniaPluginPersistedstate)

import * as ElementPlusIconsVue from '@element-plus/icons-vue'

const app = createApp(App)
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}

// 自定义返回bar组件注册
app.component('BackBar', BackBar);

app.use(router).use(pinia).use(Vant).mount('#app')
