import { defineStore } from 'pinia'

export const menuStore = defineStore('menu', {
    state: () => ({
        menuInfo: null //存储激活页面信息
    }),
    actions: {
        setMenuInfo(data) {
            this.menuInfo = data;
        },
        removeMenuInfo(){
            this.menuInfo = null;
        }
    },
    persist: {
        enabled: true,   //开启持久化
        key: 'menuInfo', //设置存储的key,详情见https://prazdevs.github.io/pinia-plugin-persistedstate/zh/guide/config.html配置文档
    },
});
