import { defineStore } from 'pinia'

export const useUserStore = defineStore('user', {
    state: () => ({
        userInfo: null //存储用户信息
    }),
    actions: {
        setUserInfo(data) {
            this.userInfo = data
        },
        removeUserInfo(){
            this.userInfo = null;
        }
    },
    persist: {
        enabled: true,   //开启持久化
        key: 'userInfo', //设置存储的key,详情见https://prazdevs.github.io/pinia-plugin-persistedstate/zh/guide/config.html配置文档
    },
});
