// 计算两个日期之间的天数差
export function getDaysBetween(dateString1, dateString2) {
    let startDate = Date.parse(dateString1);
    let endDate = Date.parse(dateString2);
    return (endDate - startDate) / (1 * 24 * 60 * 60 * 1000);
}

// 计算日期字符串往后推算一年的时间并掐头(日减少一天)
export function processDate(dateStr) {
    // 将日期字符串转换为 Date 对象
    const parts = dateStr.match(/(\d+)年(\d+)月(\d+)日/);
    const year = parseInt(parts[1], 10);
    const month = parseInt(parts[2], 10) - 1; // JavaScript 中月份是从 0 开始的
    const day = parseInt(parts[3], 10);

    const date = new Date(year, month, day);

    // 将年份加一
    date.setFullYear(year + 1);
    // 减一天
    date.setDate(day - 1);
    return date;
}

// 将 Date 对象转换为 "YYYY年MM月DD日" 格式的字符串
export function formatDate(date) {
    const year = date.getFullYear();
    const month = (date.getMonth() + 1).toString().padStart(2, '0');
    const day = date.getDate().toString().padStart(2, '0');
    return `${year}年${month}月${day}日`;
}
